Consenso all'uso dei cookies

SITO1 -- SITO2 -- Forum1 -- CercaGlobale -- Informativa su Cookie e Privacy


Valutazione discussione:
  • 0 voto(i) - 0 media
  • 1
  • 2
  • 3
  • 4
  • 5
TeamViewer 10 & Ubuntu 64 bit
#1
Ho esigenza di installare il software "TeamViewer 10" su Ubuntu 14.04 a 64 bit.
Attualmente uso con sodisfazione la versione "Plus" distribuita dal vostro sito.

Ho letto bene le indicazioni nel sito di teamViewer:

"Notes to Multiarch:

On newer 64-bit DEB-systems with Multiarch-support (Debian 7) teamviewer_linux_x64.deb cannot be installed because the package ia32-libs is not available anymore on these systems. In this case you can use teamviewer_i386.deb instead.

In case you get the error 'wrong architecture i386' you have to execute the following command lines as an administrator:

dpkg --add-architecture i386
apt-get update"

Mi chiedo:

(a) Come posso sapere se la versione di Ubuntu in mio possesso ha il supporto "Multiarch" ?
Esiste un preciso comando a terminale ?

(b) Nel caso tale supporto sia attivo sono sufficenti le indicazioni sopraesposte ?
Chiedo questo perchè nei vari forum leggo informazioni sull'installazione di questo software ... simili ma abbastanza differenti nella sequenza dei comandi. Visto che sono soddisfatto della mia distribuzione - almeno sino ad ora sufficentemente ordinata - vorrei evitare di incasinarla con le classiche prove 'fai un comando' + 'vedi i problemi' + 'cancella/remove' + 'riprova' .... Smile ... Smile
Magari qualcuno del forum ha già affrontato la probelmatica e puo' fornirmi l'indicazione di una strada già sperimentata.

Mi è sembrato di capire che anche in un sistema a 64 bit va installata la versione a 32 di questo software di controllo remoto ... ma non ne comprendo appieno il motivo.

Qualcuno puo' aiutarmi ?

Mi arrendo Tux At
Cita messaggio
Grazie da:
#2
Questa discussione chiarisce e hanno risolto installando la versione a 32bit su ubuntu a 64bit.
Non richiedermi l'amicizia, siamo già amici  Big Grin il mio blog LinuxEasy  Tux

Cita messaggio
Grazie da:
#3
Grazie per la cortese risposta.

Avevo gia' letto il link che mi hai inviato che tra l'altro ... differisce 'abbastanza' da altri con tema similare.

Rinnovo la mia mia richiesta per :

"E' possibile conoscere un comando a terminale che mi dica se una versione di ubuntu a 64 bit ha il supporto Multiarch ?"

In base al responso di questo test (secondo me) ha senso provare le 2 strade gia' indicate nel sito di TeamViewer.

In ogni caso chiedevo a qualcuno di questo forum se ha gia' installato e utilizzato teamviewer 10 su Ubuntu a 64 bit.

Tux Huh
Cita messaggio
Grazie da:
#4
È acclarato , ovunque, che si deve installare la versione a 32bit, inutile che tenti con la versione a 64bit.
Qui una guida con i relativi comandi.

ps. Ho trovato anche questa che è più recente.
Non richiedermi l'amicizia, siamo già amici  Big Grin il mio blog LinuxEasy  Tux

Cita messaggio
Grazie da:
#5
E' evidente che ci sono delle indicazioni particolari su quali versione utilizzare.

In linea generale si consiglia di installare la versione a 32 bit di Teamviewer su Ubuntu a 64 bit.

Ma come precedentemente specificato la sequenza dei comandi NON è univoca ne equivalente.

Ad esempio:

http://media-opensource.blogspot.it/2014...t-and.html

Ne risulta chiaro se durante la sequenza d'installazione è giusto 'tollerare' i msg circa le dipendenze non soddisfatte o questa indica la necessaria integrazione al sistema delle librerie mancanti.

Inoltre sempre per capire meglio ... e non pago del semplice 'copia & incolla' di comandi rubati quà e là ... mi piacerebbe scoprire come verificare se la mia distribuzione Ubuntu ha o meno il supporto "multiarch".

Blush
Cita messaggio
Grazie da:
#6
No,non "si consiglia in generale" si deve installare la versione a 32bit.È tutto ben chiaro(anche nei link che avevo postato)
https://www.teamviewer.com/en/help/363-H...#multiarch
trovi scritto :
"On newer 64-bit DEB-systems with Multiarch-support (Debian 7) teamviewer_linux_x64.deb cannot be installed because the package ia32-libs is not available anymore on these systems. In this case you can use teamviewer_i386.deb instead."
Tradotto:
"Su più recenti a 64 bit DEB-sistemi con Multiarch-supporto (Debian 7) teamviewer_linux_x64.deb non può essere installato perché il pacchetto ia32-libs non è più disponibile su questi sistemi. In questo caso è possibile invece utilizzare teamviewer_i386.deb."
anche ubuntu 14.04 è un  "newer 64-bit DEB-systems with Multiarch-support"
I msg delle dipendenze mancanti ti dicono che l'applicazione senza queste è impossibile installare, questo vale sempre per tutte le applicazioni.
Non richiedermi l'amicizia, siamo già amici  Big Grin il mio blog LinuxEasy  Tux

Cita messaggio
Grazie da:
#7
Grazie della risposta e del tempo - totalmente gratuito - che offri al forum del sito.

La traduzione delle note operative in lingua inglese mi era ben chiara poichè l'ho proposta come spunto sin dal (mio) primo quesito.
Fuggendo come la peste ogni intento polemico ....
Certamente mi è noto che vada comunque installata la versione a 32 bit.
Ma oltre a leggere le note 'operative' amo imparare dai riscontri degli utenti che DOPO averle applicate hanno comunque malfunzionamenti ... Smile
Altrimenti perchè chiedere al forum ?

Inoltre rimane comunque importante poter discriminare se una distribuzione a 64 bit ha o meno il supporto "Multiarch".
Ad oggi non sono riuscito a trovare un comando adatto ne qualcuno piu' edotto di me nel darmi l'informazione.

Seguiro' al piu' presto le tue indicazioni e condividero' con te i risultati ... spero positivi.

Grazie !
Cita messaggio
Grazie da:
#8
Non so se esista un comando del genere, anche se a mio avviso non vedo lo scopo essendo  tutto già acclarato, ti  aggiungo questo chiarimento sul  supporto Multiarch per ubuntu/debian e derivate, ho esaurito le mie cartucce,vediamo se qualcuno  è a conoscenza del comando che ti preme tanto.
Un cordiale saluto.
Non richiedermi l'amicizia, siamo già amici  Big Grin il mio blog LinuxEasy  Tux

Cita messaggio
Grazie da:
#9
Ancora grazie ... e non credo di averti fatto esaurire ... le cartucce ... Scappo ... Tux

Come link interessanti ... ti propongo:

http://stackoverflow.com/questions/23182...rusty-tahr

Mi è ben chiaro che il supporto "Multiarch" in Ubuntu 14.04 esiste e va ATTIVATO con una serie di comandi.
Questi ultimi NON sono univoci e a volte, secondo l'esperienza dell'utente che scrive l'articolo, possono differire e proporre soluzioni che a seconda della distro e release possono NON funzionare.
Ma questo è l'Open source ...

Mentre il sito di supporto di TeamViewer trae in inganno ... poichè nei sistemi con supporto "Multiarch" propone una versione di files ".deb" non idonea.
Certamente poi in note successive propone la versione a 32 bit del file d'installazione anche in distro a 64 bit ma oltre a non essere chiaro concettualmente è in contraddizione.

Mi arrendo ... volentieri alla tua esperienza e di tutti quelli che hanno felicemente concluso l'installazione di Teamviewer .
Nel week end appena trovo un'attimo .. sperimento il tutto.

Grazie

At Dodgy At
Cita messaggio
Grazie da:
#10
Confermo quanto suggerito in questo forum.
Ho installato Teamviewer 10 (32 bit) su Ubuntu 14.04 a 64 bit.

Con la seguente sequenza di comandi:

 sudo dpkg --add-architecture i386
 sudo apt-get update

        (*)Download di “temviewer_i386.deb” dal sito ufficiale di Teamviewer

 cd scaricati

 sudo dpkg -i teamviewer_i386.deb

        (*) se il comando restituisce dipendenze non soddisfatte eseguire:

 sudo apt-get install -f

 sudo dpkg -i teamviewer_i386.deb



Successivamente ho verificato il funzionamento ed è tutto ok.

At  Cool  Wink
Cita messaggio
Grazie da:


Vai al forum:


Utenti che stanno guardando questa discussione: 1 Ospite(i)